GearmanClient::runTasks
GearmanClient::setCompleteCallback
GearmanClient
PHP Manual

# GearmanClient::setClientCallback

(PECL gearman <= 0.5.0)

GearmanClient::setClientCallback — Callback function when there is a data packet for a task (deprecated)

### Description

public void GearmanClient::setClientCallback ( callback `$callback` )

Sets the callback function for accepting data packets for a task. The callback function should take a single argument, a GearmanTask object.

> Note: This method has been replaced by GearmanClient::setDataCallback in the 0.6.0 release of the Gearman extension.

### Parameters

`callback`

  A function or method to call

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setCompleteCallback - Set a function to be called on task completion
- GearmanClient::setCreatedCallback - Set a callback for when a task is queued
- GearmanClient::setDataCallback - Callback function when there is a data packet for a task
- GearmanClient::setExceptionCallback - Set a callback for worker exceptions
- GearmanClient::setFailCallback - Set callback for job failure
- GearmanClient::setStatusCallback - Set a callback for collecting task status
- GearmanClient::setWarningCallback - Set a callback for worker warnings
- GearmanClient::setWorkloadCallback - Set a callback for accepting incremental data updates

GearmanClient::runTasks
GearmanClient::setCompleteCallback
GearmanClient
PHP Manual